Page MenuHomePhabricator

No way to access image in packed gallery with long descriptions
Closed, ResolvedPublic

Description

<gallery mode="packed-overlay"> or hover in combination with long descriptions makes impossible to access to the images featured in the gallery, since they cover the whole image.

This is bad in terms of UI, but it might even have legal implications because clicking the image is the only way to check its license, attribution, etc.

Original report (in Catalan), test page

Event Timeline

Qgil created this task.Mar 20 2015, 6:26 PM
Qgil raised the priority of this task from to Needs Triage.
Qgil updated the task description. (Show Details)
Qgil added a project: Multimedia.
Qgil added subscribers: Qgil, Bawolff, pere_prlpz.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 20 2015, 6:26 PM
Tgr added a subscriber: Tgr.

(PS: It is unclear where <gallery> bugs should be filed, and they can be found in different places)

There you go: T93407

Tgr updated the task description. (Show Details)Mar 20 2015, 8:19 PM
Tgr set Security to None.
Jdforrester-WMF triaged this task as Low priority.Sep 4 2015, 6:56 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 4 2015, 6:56 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 7:02 PM
Perhelion added a subscriber: Perhelion.EditedDec 14 2015, 11:31 AM

Another example with (mode="packed-hover") small images https://de.wikipedia.org/wiki/Spezial:PermaLink/149006080#Brandenburg (Warning: very huge amount of imgaes)

I guess this fix could be very simple, put the click-layer over the (hover) description-layer!?

Change 295236 had a related patch set uploaded (by Prtksxna):
Update the way captions show up in packed-overlay and packed-hover

https://gerrit.wikimedia.org/r/295236

Jdforrester-WMF closed this task as Resolved.Jul 5 2016, 9:42 AM
Jdforrester-WMF assigned this task to Prtksxna.
Jdforrester-WMF removed a project: Patch-For-Review.

Change 295236 merged by jenkins-bot:
Update the way captions show up in packed-overlay and packed-hover

https://gerrit.wikimedia.org/r/295236

Before:

After:

Qgil awarded a token.Jul 5 2016, 12:12 PM